﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="2e2fb0ff-970d-4312-9125-50beca36c8e9" Description="Description for DSLFactory.VSCTDesigner.VSCTDesigner" Name="VSCTDesigner" DisplayName="VSCTDesigner" Namespace="DSLFactory.VSCTDesigner" ProductName="VSCTDesigner" CompanyName="DSLFactory" PackageGuid="7512d4bc-34ac-416f-83fa-01f0682edb61" PackageNamespace="DSLFactory.VSCTDesigner" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="491c9cae-f4b8-4bac-acea-6cbb2b3bab11" Description="The root in which all other elements are embedded. Appears as a diagram." Name="CommandTable" DisplayName="Command Table" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <Properties>
        <DomainProperty Id="db9c2feb-d16d-4db6-bf55-4eaf380ea06b" Description="Description for DSLFactory.VSCTDesigner.CommandTable.Language" Name="Language" DisplayName="Language">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e4d69da5-4a31-4712-8cd8-1198b182df06" Description="Description for DSLFactory.VSCTDesigner.CommandTable.Custom Tool Generator" Name="CustomToolGenerator" DisplayName="Custom Tool Generator" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Commands" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandTableHasCommands.Commands</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="61831026-2951-4035-830f-570ffadefcb3" Description="Description for DSLFactory.VSCTDesigner.Commands" Name="Commands" DisplayName="Commands" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="458d1b8b-6384-4668-b10d-7a7a7c70d9aa" Description="Description for DSLFactory.VSCTDesigner.Commands.Package" Name="Package" DisplayName="Package" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Menu" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandsHasMenus.Menus</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Group" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandsHasGroups.Groups</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Button" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandsHasButtons.Buttons</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="ExternCommand" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandsHasExternCommandAliases.ExternCommandAliases</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Combo" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandsHasCombos.Combos</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="36ac6d14-2f2d-4b73-8d64-698a594c7a53" Description="Description for DSLFactory.VSCTDesigner.Command" Name="Command" DisplayName="Command" InheritanceModifier="Abstract" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="ConditionalElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="7e96d159-def9-427f-8435-423ce4c76a85" Description="Required. ID of the GUID/ID command identifier. " Name="ID" DisplayName="ID" DefaultValue="" IsElementName="true">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.Editor">
              <Parameters>
                <AttributeParameter Value="typeof(IDSymbolEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
          <ElementNameProvider>
            <ExternalTypeMoniker Name="IDNameProvider" />
          </ElementNameProvider>
        </DomainProperty>
        <DomainProperty Id="139a5a04-2a50-40e5-8fa5-2bf6dfdffc21" Description="Optional. A numeric value that specifies the priority. " Name="Priority" DisplayName="Priority">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7d80ff59-5584-43ad-a51d-e8e9e132faa1" Description="Description for DSLFactory.VSCTDesigner.Command.Deprecated Low Priority" Name="deprecatedLowPriority" DisplayName="Deprecated Low Priority">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5ccf803b-08e5-4d3e-86e5-b39f94cf4727" Description="Required. GUID of the GUID/ID command identifier. " Name="Guid" DisplayName="Guid" DefaultValue="guidCmdSet">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.Editor">
              <Parameters>
                <AttributeParameter Value="typeof(GuidSymbolEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="d3273b22-e0ba-4046-88a0-89dab5eb5327" Description="Defines a single menu item. There are six kinds of menus, as follows: Context, Menu, MenuController, MenuControllerLatched, Toolbar, and ToolWindowToolbar. " Name="Menu" DisplayName="Menu" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="CommandWithIcon" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="ebb522ff-8601-438a-8505-1eaa3263f31f" Description="Description for DSLFactory.VSCTDesigner.Menu.Type" Name="Type" DisplayName="Type" DefaultValue="Menu">
          <Type>
            <DomainEnumerationMoniker Name="MenuType" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="d63a968d-bc55-473d-9e57-ffdb947019f5" Description="Description for DSLFactory.VSCTDesigner.Menu.Visibility Context" Name="VisibilityContext" DisplayName="Visibility Context">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.Editor">
              <Parameters>
                <AttributeParameter Value="typeof(VisibilityContextEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="282034b6-3dc6-4199-a117-4603d95d848a" Description="Description for DSLFactory.VSCTDesigner.Menu.Command Flag" Name="CommandFlag" DisplayName="Command Flag" DefaultValue="">
          <Type>
            <DomainEnumerationMoniker Name="MenuCommandFlag" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="93034687-6d0f-497a-8f19-45f6cb67c912" Description="Defines a VSPackage command group. " Name="Group" DisplayName="Group" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="Command" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="de53ad77-6233-4b5f-9cf2-87a118afc50c" Description="Description for DSLFactory.VSCTDesigner.Group.Dynamic" Name="Dynamic" DisplayName="Dynamic" DefaultValue="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Button" />
          </Index>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="25c0542c-e55f-409b-89a8-36dccca3ed80" Description="The Strings element must contain at least a ButtonText child element. All other child elements are optional. Invalid XML characters such as ‘&amp;’ and ‘&lt;’ must be coded as entities (‘&amp;amp;’ and ‘&amp;lt;’ and so on). " Name="StringDef" DisplayName="String Def" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="650ef273-dbc8-4adc-bc77-96d3452debed" Description="The CommandName field specifies the text that appears in the keyboard category in the Options dialog box (available by clicking Options on the Tools menu) and the Commands list in the Customize dialog box (available by clicking Customize on the Tools menu). " Name="CommandName" DisplayName="Command Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="de5ee0a2-6d14-4ffa-b045-4d9787b87b26" Description="This field and the five following text fields in a command definition let you specify the text that appears in various menus. By default, the ButtonText field appears in menu controllers. The ButtonText field also becomes the default if the other text fields are blank. The ButtonText field cannot be blank even if the other text fields are specified. " Name="ButtonText" DisplayName="Button Text" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="8f556294-f66c-42d2-8f64-bdb9c75a3054" Description="The English CanonicalName field specifies the name of the command in English text that can be entered in the Command window to execute the menu item. The IDE strips out any characters that are not letters, digits, underscores, or embedded periods. This text is then concatenated to the ButtonText field to define the command. For example, New Project on the File menu becomes the command, File.NewProject. If the English CanonicalName field is not specified, the IDE uses the ButtonText field, and strips out all except letters, digits, underscores, and embedded periods. For example, the Button Text &quot;&amp;Define Commands...&quot; becomes DefineCommands, where the ampersand, the space, and the ellipsis are removed. If the TextChanges flag is specified and the text of the command is changed, the corresponding command recognized by the Command window does not change; it remains the canonical form of the original ButtonText or English CanonicalName fields. " Name="CanonicalName" DisplayName="Canonical Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="85ff68ba-bc61-42db-a8b9-cc686524435d" Description="The LocCanonicalName field behaves identically to the English CanonicalName field but enables localized command text to be specified. Both canonical fields can be specified. Because the IDE just parses text entered in the Command window and associates it with a command, both English and non-English text can be associated with the same command. " Name="LocCanonicalName" DisplayName="Loc Canonical Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0dc00285-a711-4e92-acc2-c172fb85b9af" Description="The MenuText field specifies the text that is displayed for a command if it is on the main menu, a toolbar, in a shortcut menu, or in a submenu. If the MenuText field is blank, the integrated development environment (IDE) uses the ButtonText field. The MenuText field can also be used for localization. For shortcut menus, the MenuText field is the name that is displayed in the Shortcut Menus toolbar, which enables customization of shortcut menus in the IDE. Therefore, be specific in what you name your shortcut menu; for example, use &quot;Widget Package Shortcut Menu&quot; instead of &quot;Shortcut&quot;. If the MenuText field is not specified, the ButtonText field is used. " Name="MenuText" DisplayName="Menu Text">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b01ec7b7-cb16-476d-8017-c98ffe6d3f42" Description="The ToolTipText field specifies the text that appears in the tooltip for a menu item. If the ToolTipText field is blank, the ButtonText field is used. " Name="ToolTipText" DisplayName="Tool Tip Text">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9d0cc288-fb67-49b8-a9cf-0d7bcef877a5" Description="Description for DSLFactory.VSCTDesigner.StringDef.Language" Name="Language" DisplayName="Language">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="3f5569bc-8b98-4faf-a0be-9f3cfd010f61" Description="Defines an element that the user can interact with. There are four kinds of Buttons, as follows: Button, MenuButton, SplitDropDown, and Swatch. " Name="Button" DisplayName="Button" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="CommandWithIcon" />
      </BaseClass>
      <CustomTypeDescriptor>
        <DomainTypeDescriptor>
          <PathsOfCustomPropertyDescriptors>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Editor" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Key1" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Key2" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Mod1" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Mod2" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor Category="KeyBinding" GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="KeyBindingElement/Emulator" />
                <DomainPath>CommandHasKeyBinding.KeyBinding/!KeyBindingElement</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
          </PathsOfCustomPropertyDescriptors>
        </DomainTypeDescriptor>
      </CustomTypeDescriptor>
      <Properties>
        <DomainProperty Id="a4efa898-bb15-429e-9e83-890b6b1f52e4" Description="Description for DSLFactory.VSCTDesigner.Button.Visibility Context" Name="VisibilityContext" DisplayName="Visibility Context">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="71dc5d36-f35e-4825-b098-72bab200d297" Description="Description for DSLFactory.VSCTDesigner.Button.Type" Name="Type" DisplayName="Type" DefaultValue="Button">
          <Type>
            <DomainEnumerationMoniker Name="ButtonType" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2c50cbb4-eb86-4b16-a706-2ae9623d5075" Description="Description for DSLFactory.VSCTDesigner.Button.Command Flag" Name="CommandFlag" DisplayName="Command Flag" DefaultValue="">
          <Type>
            <DomainEnumerationMoniker Name="ButtonCommandFlag" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="a6b9f5d4-8e12-4f77-b84e-0d93d5986412" Description="The GuidSymbol element contains the GUID of the GUID:ID pair that represents a menu, group, or command. The ID comes from an IDSymbol element in the GuidSymbol element. The GuidSymbol element has a name attribute that provides a friendly name for the GUID, which is contained in the value attribute. " Name="GuidSymbol" DisplayName="Guid Symbol" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="b02d85e2-b90a-466d-b0c0-98542ca113dd" Description="Description for DSLFactory.VSCTDesigner.GuidSymbol.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e98106f4-b45b-4119-9fc5-f089f7e99b7c" Description="Description for DSLFactory.VSCTDesigner.GuidSymbol.Value" Name="Value" DisplayName="Value">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="IDSymbol" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>GuidSymbolHasIDSymbols.IDSymbols</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="f54c51ad-0c78-44e7-ae67-6ba4bc50d782" Description="The IDSymbol element contains the ID of the GUID:ID pair that represents a menu, group, or command. The GUID comes from the parent GuidSymbol element. The IDSymbol element has a name attribute that provides a friendly name for the ID, which is contained in the value attribute. " Name="IDSymbol" DisplayName="IDSymbol" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="f6259c61-d580-4cc6-b59b-d28d17bdf068" Description="Description for DSLFactory.VSCTDesigner.IDSymbol.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="615637d6-f69d-40b0-ba7e-01b74ddfd187" Description="Description for DSLFactory.VSCTDesigner.IDSymbol.Value" Name="Value" DisplayName="Value" DefaultValue="?">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="817c82c6-4496-4d0f-90f2-c341cda56386" Description="Description for DSLFactory.VSCTDesigner.Bitmaps" Name="Bitmaps" DisplayName="Bitmaps" Namespace="DSLFactory.VSCTDesigner">
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Bitmap" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>BitmapsHasBitmap.Bitmap</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="bb63ba3f-a82b-49ae-9d22-616acc687ae1" Description="Defines a bitmap. The bitmap is loaded either from a resource or from a file. " Name="Bitmap" DisplayName="Bitmap" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="ea7fb667-caa3-4593-8ad7-90f8ceabaa3f" Description="Required. GUID of the GUID/ID command identifier. The guid attribute for a bitmap is not associated with any VSPackage or other command group. It should be unique to the bitmap definition and should not be used for any other purpose. " Name="Guid" DisplayName="Guid">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="639ac7ce-cfa5-4e71-8784-174ccfa35681" Description="ID of the GUID/ID command identifier. Either the resID or the href attribute is required. The resID attribute is an integer resource ID that determines the bitmap strip that is to be loaded during command table merging. When the command table is being loaded, the bitmaps specified by the resource ID will be loaded from the resource of the same module. " Name="resId" DisplayName="Res Id">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="495dc216-810c-401b-b925-58ac44a16485" Description="Path to the bitmap. Either the resID or the href attribute is required. The include path is searched for the indicated image file, which is embedded in the resulting binary. During the command table merge, the image is copied and no additional resource lookup or load is required. If the usedList attribute is not present, all images in the strip are available" Name="hRef" DisplayName="HRef">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.Editor">
              <Parameters>
                <AttributeParameter Value="typeof(ImageTypeEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="fb03a057-4502-46c2-a943-e5531c015438" Description="Required if the resID attribute is present. Selects the available images in the bitmap strip. " Name="usedList" DisplayName="Used List" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7170d366-24f2-43d2-aebb-3c4de8a217cd" Description="Description for DSLFactory.VSCTDesigner.Bitmap.Display Name" Name="DisplayName" DisplayName="Display Name" Kind="Calculated" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="2dbba3fd-ba45-4c1c-b2ff-ea32a96e1527" Description="Description for DSLFactory.VSCTDesigner.CommandWithIcon" Name="CommandWithIcon" DisplayName="Command With Icon" InheritanceModifier="Abstract" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="Command" />
      </BaseClass>
      <CustomTypeDescriptor>
        <DomainTypeDescriptor CustomCoded="true">
          <PathsOfCustomPropertyDescriptors>
            <CustomPropertyDescriptor GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="CommandHasIcon/IconId" />
                <DomainPath>CommandHasIcon.Icon</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
          </PathsOfCustomPropertyDescriptors>
        </DomainTypeDescriptor>
      </CustomTypeDescriptor>
      <Properties>
        <DomainProperty Id="a8ac8825-de21-44ee-978a-7ec49c462717" Description="Description for DSLFactory.VSCTDesigner.CommandWithIcon.Display Name" Name="DisplayName" DisplayName="Display Name" Kind="CustomStorage">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="StringDef" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CommandWithIconHasStrings.Strings</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="8e031bf1-292d-4141-b731-f0b4f082e61c" Description="Description for DSLFactory.VSCTDesigner.ConditionalElement" Name="ConditionalElement" DisplayName="Conditional Element" InheritanceModifier="Abstract" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="0b27b665-2e3d-4919-9bf7-e22be3b614ef" Description="Conditional attributes may be applied to all lists and items. Logical operators and symbol expansion expressions evaluate to true or false. If true, the associated list or item is included in the resulting output. Token expansions can be tested against other token expansions or constants. The function Defined() is used to test whether a particular name has been defined, even if it has no value. When a Condition attribute is applied to a list, the condition is applied to every child element in the list. If a child element itself contains a Condition attribute, then its condition is combined with the parent expression by an AND operation. The values 1, ‘1’ and ‘true’ are evaluated as true, and 0, ‘0’ and ‘false’ are evaluated as false. " Name="Condition" DisplayName="Condition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="01b2376e-ed47-4a0a-a96f-852508a677df" Description="Description for DSLFactory.VSCTDesigner.ExternElement" Name="ExternElement" DisplayName="Extern Element" Namespace="DSLFactory.VSCTDesigner">
      <BaseClass>
        <DomainClassMoniker Name="ConditionalElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="5cfd763f-2898-47cd-8bc6-50058e0d46cf" Description="Description for DSLFactory.VSCTDesigner.ExternElement.HRef" Name="hRef" DisplayName="HRef" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a1551f05-a8f9-4972-8125-1462697737c6" Description="Description for DSLFactory.VSCTDesigner.ExternElement.Language" Name="Language" DisplayName="Language">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="ac4c2adc-fcbf-47cf-ab75-1de3053f62dd" Description="Description for DSLFactory.VSCTDesigner.IncludeElement" Name="IncludeElement" DisplayName="Include Element" Namespace="DSLFactory.VSCTDesigner">
      <BaseClass>
        <DomainClassMoniker Name="ConditionalElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="55597d2c-69a3-4812-89ed-580126d19e95" Description="Description for DSLFactory.VSCTDesigner.IncludeElement.HRef" Name="hRef" DisplayName="HRef" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="ec97af07-75c1-4fb2-b010-0af85835b142" Description="Description for DSLFactory.VSCTDesigner.ExternCommand" Name="ExternCommand" DisplayName="Extern Command" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="Command" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="1c649478-08d7-4653-aa32-a90a7d08826b" Description="Description for DSLFactory.VSCTDesigner.DefineElement" Name="DefineElement" DisplayName="Define Element" Namespace="DSLFactory.VSCTDesigner">
      <BaseClass>
        <DomainClassMoniker Name="ConditionalElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="3540bacd-af74-4c5a-979f-a57c67b18d17" Description="Description for DSLFactory.VSCTDesigner.DefineElement.Name" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0a4a20b2-774c-4fe7-a37f-41f72d9085df" Description="Description for DSLFactory.VSCTDesigner.DefineElement.Value" Name="Value" DisplayName="Value">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="c81f8fe7-1e95-4780-84e3-b225b81b87c0" Description="Description for DSLFactory.VSCTDesigner.KeyBindingElement" Name="KeyBindingElement" DisplayName="Key Binding Element" Namespace="DSLFactory.VSCTDesigner">
      <BaseClass>
        <DomainClassMoniker Name="ConditionalElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="e540626a-1e5f-4dc2-867f-85328003a7d3" Description="Required. The editor GUID indicates the editing context for which this keyboard shortcut will be active. " Name="Editor" DisplayName="Editor" Category="Key binding">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="98af78c2-0acb-4156-9e8c-dde7d709e425" Description="Required. Valid values include all typable alphanumerics, and also two-digit hexadecimal values preceded by 0x and VK_constants. " Name="Key1" DisplayName="Key1" Category="Key binding" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b7abe6d9-ae5a-4e42-a828-97f543a2b0ce" Description="Description for Optional. Any combination of CTRL, ALT, and SHIFT separated by space. " Name="Mod1" DisplayName="Mod1" DefaultValue="None" Category="Key binding">
          <Type>
            <DomainEnumerationMoniker Name="KeyModifier" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="728b9335-480c-4fe6-891a-b2e2e45ac04f" Description="Optional. Valid values include all typable alphanumerics, and also two-digit hexadecimal values preceded by 0x and VK_constants. " Name="Key2" DisplayName="Key2" Category="Key binding">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c4290a97-f458-42a6-a99f-521275a5d121" Description="Optional. Any combination of CTRL, ALT, and SHIFT separated by space. " Name="Mod2" DisplayName="Mod2" DefaultValue="None" Category="Key binding">
          <Type>
            <DomainEnumerationMoniker Name="KeyModifier" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="da686da6-8f3f-4bb9-b127-e29ea6d92a50" Description="Description for DSLFactory.VSCTDesigner.Commands.Emulator" Name="Emulator" DisplayName="Emulator" Category="Key binding">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="c558e8ef-8d9f-44a0-9e8d-03a6204896b0" Description="Description for DSLFactory.VSCTDesigner.UsedCommandElement" Name="UsedCommandElement" DisplayName="Used Command Element" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="2add1a95-3ba9-479b-939d-feb0be327557" Description="Description for DSLFactory.VSCTDesigner.UsedCommandElement.Guid" Name="Guid" DisplayName="Guid">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2fff3afd-dd1c-4c72-9f6f-d95687b67db6" Description="Description for DSLFactory.VSCTDesigner.UsedCommandElement.ID" Name="ID" DisplayName="ID">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="7807be73-1981-4630-8043-c4d047f41f2e" Description="Defines commands that appear in a combo box. There are four kinds of combo boxes, as follows: DropDownCombo, DynamicCombo, IndexCombo, and MRUCombo. " Name="Combo" DisplayName="Combo" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <BaseClass>
        <DomainClassMoniker Name="CommandWithIcon" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="46931977-a8f5-4a4f-9470-af363469eaff" Description="Required. An integer that specifies a pixel width for the combo box. " Name="DefaultWidth" DisplayName="Default Width">
          <Type>
            <ExternalTypeMoniker Name="/System/Int16" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="db2317b8-67f6-4e51-8514-cd3ac06b00bb" Description="Required. An ID that is sent to the active commmand target to retrieve the list of items to be displayed in the combo box. The ID will be in the same GUID scope as the control. " Name="IdCommandList" DisplayName="Id Command List">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="69a79c20-a3d0-48ae-8851-1028e4db1a73" Description="Optional. An enumerated value that specifies the type of button." Name="Type" DisplayName="Type" DefaultValue="">
          <Type>
            <DomainEnumerationMoniker Name="ComboType" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="84fab9f3-3591-4d9e-9492-11512d801252" Description="Commandflag" Name="CommandFlag" DisplayName="Command Flag">
          <Type>
            <DomainEnumerationMoniker Name="ComboCommandFlag" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="1458e703-4260-471c-b1d7-6e2802d63b5d" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasCommands" Name="CommandTableHasCommands" DisplayName="Command Table Has Commands" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="7d57a494-464d-49b3-a59c-6e79cc5610e8" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasCommands.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="Commands" Multiplicity="ZeroOne" PropertyDisplayName="Commands">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="36167d4f-4dc8-409c-8f5f-1c3ce760441a" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasCommands.Commands" Name="Commands" DisplayName="Commands" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="8a7d1591-1271-45dd-aec3-208377f425ad" Description="Description for DSLFactory.VSCTDesigner.CommandsHasMenus" Name="CommandsHasMenus" DisplayName="Commands Has Menus" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="7911033a-b454-4e6c-8332-8060dcc06cb5" Description="Description for DSLFactory.VSCTDesigner.CommandsHasMenus.Commands" Name="Commands" DisplayName="Commands" PropertyName="Menus" PropertyDisplayName="Menus">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="1073225d-de00-4e99-b67d-2001df279e76" Description="Description for DSLFactory.VSCTDesigner.CommandsHasMenus.Menu" Name="Menu" DisplayName="Menu" PropertyName="Parent" Multiplicity="ZeroOne" PropagatesDelete="true" IsPropertyGenerator="false" PropagatesCopy="true" PropertyDisplayName="Parent">
          <RolePlayer>
            <DomainClassMoniker Name="Menu" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="9b610e5d-139d-4195-83ce-299465ecc24e" Description="Description for DSLFactory.VSCTDesigner.CommandsHasGroups" Name="CommandsHasGroups" DisplayName="Commands Has Groups" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="5b05a52c-9e82-481b-8a10-a2f44fc45e34" Description="Description for DSLFactory.VSCTDesigner.CommandsHasGroups.Command" Name="Command" DisplayName="Command" PropertyName="Groups" PropertyDisplayName="Groups">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="09dac458-cb06-48c3-b299-6d5a8a79db31" Description="Description for DSLFactory.VSCTDesigner.CommandsHasGroups.Group" Name="Group" DisplayName="Group" PropertyName="Parent" Multiplicity="ZeroOne" PropagatesDelete="true" IsPropertyGenerator="false" PropagatesCopy="true" PropertyDisplayName="Parent">
          <RolePlayer>
            <DomainClassMoniker Name="Group" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f8a68966-9fb0-48c7-ae3e-b16e60ab384d" Description="Description for DSLFactory.VSCTDesigner.CommandHasParent" Name="CommandHasParent" DisplayName="Command Has Parent" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
      <Source>
        <DomainRole Id="4185ec32-8c12-4f63-a1dd-e4498c65df3e" Description="Description for DSLFactory.VSCTDesigner.CommandHasParent.Child" Name="Child" DisplayName="Child" PropertyName="Parents" PropertyDisplayName="Parents">
          <RolePlayer>
            <DomainClassMoniker Name="Command" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="56447446-69ea-43de-a7fc-deb7f88df6dd" Description="Description for DSLFactory.VSCTDesigner.CommandHasParent.Parent" Name="Parent" DisplayName="Parent" PropertyName="Childs" PropertyDisplayName="Childs">
          <RolePlayer>
            <DomainClassMoniker Name="Command" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7fe93a9c-40e8-40ad-8a02-c744349a0449" Description="Description for DSLFactory.VSCTDesigner.CommandsHasButtons" Name="CommandsHasButtons" DisplayName="Commands Has Buttons" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="23a7979e-0ed9-4681-b9f1-4f98bfcec7af" Description="Description for DSLFactory.VSCTDesigner.CommandsHasButtons.Commands" Name="Commands" DisplayName="Commands" PropertyName="Buttons" PropertyDisplayName="Buttons">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="822c1c2b-cb4c-4546-afa5-9233d0aabdf8" Description="Description for DSLFactory.VSCTDesigner.CommandsHasButtons.Button" Name="Button" DisplayName="Button" PropertyName="Parent" Multiplicity="ZeroOne" PropagatesDelete="true" IsPropertyGenerator="false" PropagatesCopy="true" PropertyDisplayName="Parent">
          <RolePlayer>
            <DomainClassMoniker Name="Button" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="c928d6aa-5bb4-4a9b-8058-3b85fd275702" Description="Description for DSLFactory.VSCTDesigner.GuidSymbolHasIDSymbols" Name="GuidSymbolHasIDSymbols" DisplayName="Guid Symbol Has IDSymbols" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="6178f823-c784-4f8a-98b7-d4f325a2eff2" Description="Description for DSLFactory.VSCTDesigner.GuidSymbolHasIDSymbols.GuidSymbol" Name="GuidSymbol" DisplayName="Guid Symbol" PropertyName="IDSymbols" PropertyDisplayName="IDSymbols">
          <RolePlayer>
            <DomainClassMoniker Name="GuidSymbol" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="7a2dcbcf-8670-4d71-a3b8-f33930fe306a" Description="Description for DSLFactory.VSCTDesigner.GuidSymbolHasIDSymbols.IDSymbol" Name="IDSymbol" DisplayName="IDSymbol" PropertyName="GuidSymbol" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Guid Symbol">
          <RolePlayer>
            <DomainClassMoniker Name="IDSymbol" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="ccd589d1-20af-491d-a623-0e6eed70314d" Description="Description for DSLFactory.VSCTDesigner.BitmapsHasBitmap" Name="BitmapsHasBitmap" DisplayName="Bitmaps Has Bitmap" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="18d98fce-9dba-4f7c-a2a7-970b48c0e692" Description="Description for DSLFactory.VSCTDesigner.BitmapsHasBitmap.Bitmaps" Name="Bitmaps" DisplayName="Bitmaps" PropertyName="Bitmap" PropertyDisplayName="Bitmap">
          <RolePlayer>
            <DomainClassMoniker Name="Bitmaps" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f6b948f4-7b9c-4798-9830-2e41de0431f6" Description="Description for DSLFactory.VSCTDesigner.BitmapsHasBitmap.Bitmap" Name="Bitmap" DisplayName="Bitmap" PropertyName="Bitmaps" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Bitmaps">
          <RolePlayer>
            <DomainClassMoniker Name="Bitmap" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="61278dbf-9369-45ac-aa54-4dc7289cbd32" Description="Description for DSLFactory.VSCTDesigner.CommandHasIcon" Name="CommandHasIcon" DisplayName="Command Has Icon" Namespace="DSLFactory.VSCTDesigner">
      <Properties>
        <DomainProperty Id="82b03b49-d04d-4486-9e15-ea77911062c2" Description="Description for DSLFactory.VSCTDesigner.CommandHasIcon.Icon Id" Name="IconId" DisplayName="Icon Id">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.Editor">
              <Parameters>
                <AttributeParameter Value="typeof(IconIdEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="60137c03-95ff-40cd-bc41-2d58ea57361b" Description="Description for DSLFactory.VSCTDesigner.CommandHasIcon.CommandWithIcon" Name="CommandWithIcon" DisplayName="Command With Icon" PropertyName="Icon" Multiplicity="ZeroOne" PropertyDisplayName="Icon">
          <RolePlayer>
            <DomainClassMoniker Name="CommandWithIcon" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="923d6a2b-1058-4e28-a7c3-84e2c725fd36" Description="Description for DSLFactory.VSCTDesigner.CommandHasIcon.Bitmap" Name="Bitmap" DisplayName="Bitmap" PropertyName="Command" IsPropertyGenerator="false" PropertyDisplayName="Command">
          <RolePlayer>
            <DomainClassMoniker Name="Bitmap" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="08c67b79-e1d0-40ec-94e9-ae170a69e3a5" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasExternElements" Name="CommandTableHasExternElements" DisplayName="Command Table Has Extern Elements" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="76ec6172-c002-4893-8ea0-ec1cd575dc83" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasExternElements.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="ExternElements" PropertyDisplayName="Extern Elements">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6f0677d7-1122-4a9a-b2f9-6433245ff256" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasExternElements.ExternElement" Name="ExternElement" DisplayName="Extern Element" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="ExternElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7eb63826-10c8-4a35-bf85-48091d9e027b" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasIncludeElements" Name="CommandTableHasIncludeElements" DisplayName="Command Table Has Include Elements" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="0ead43f2-4f93-4a19-80ce-bbd0da7a7a94" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasIncludeElements.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="IncludeElements" PropertyDisplayName="Include Elements">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="b088d062-5b85-4fc4-924d-d3c7f2367404" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasIncludeElements.IncludeElement" Name="IncludeElement" DisplayName="Include Element" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="IncludeElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="9b2528b9-55bb-41d7-b4b1-3b58be9d5bf2" Description="Description for DSLFactory.VSCTDesigner.CommandWithIconHasStrings" Name="CommandWithIconHasStrings" DisplayName="Command With Icon Has Strings" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="79296279-7dc1-472c-87ff-efcb9f3cb6ba" Description="Description for DSLFactory.VSCTDesigner.CommandWithIconHasStrings.CommandWithIcon" Name="CommandWithIcon" DisplayName="Command With Icon" PropertyName="Strings" PropertyDisplayName="Strings">
          <RolePlayer>
            <DomainClassMoniker Name="CommandWithIcon" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="d0760e7f-405d-48eb-8daa-6836ebc0720c" Description="Description for DSLFactory.VSCTDesigner.CommandWithIconHasStrings.StringDef" Name="StringDef" DisplayName="String Def" PropertyName="CommandWithIcon" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command With Icon">
          <RolePlayer>
            <DomainClassMoniker Name="StringDef" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="80d52eba-b9dc-4c31-9c52-2983cbac78bd" Description="Description for DSLFactory.VSCTDesigner.CommandsHasExternCommandAliases" Name="CommandsHasExternCommandAliases" DisplayName="Commands Has Extern Command Aliases" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="f47c5e82-33c8-4067-9bd5-5a40d5284afa" Description="Description for DSLFactory.VSCTDesigner.CommandsHasExternCommandAliases.Commands" Name="Commands" DisplayName="Commands" PropertyName="ExternCommandAliases" PropertyDisplayName="Extern Command Aliases">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="a547acc3-778f-468d-8422-30034f88718f" Description="Description for DSLFactory.VSCTDesigner.CommandsHasExternCommandAliases.ExternCommand" Name="ExternCommand" DisplayName="Extern Command" PropertyName="Commands" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Commands">
          <RolePlayer>
            <DomainClassMoniker Name="ExternCommand" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="0afbd6d8-c9a9-433d-8168-fd9a0b783237" Description="Description for DSLFactory.VSCTDesigner.CommandHasKeyBinding" Name="CommandHasKeyBinding" DisplayName="Command Has Key Binding" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="084e3da9-61fa-4b5f-b41e-ca79096cd0ff" Description="Description for DSLFactory.VSCTDesigner.CommandHasKeyBinding.Command" Name="Command" DisplayName="Command" PropertyName="KeyBinding" Multiplicity="ZeroOne" PropertyDisplayName="Key Binding">
          <RolePlayer>
            <DomainClassMoniker Name="Command" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f3fdb45e-14e5-4fa9-a26f-abd1a50cb6dc" Description="Description for DSLFactory.VSCTDesigner.CommandHasKeyBinding.KeyBindingElement" Name="KeyBindingElement" DisplayName="Key Binding Element" PropertyName="Command" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command">
          <RolePlayer>
            <DomainClassMoniker Name="KeyBindingElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3eee6350-b59c-4890-8ab1-8f8b547f1e9e" Description="Description for DSLFactory.VSCTDesigner.CommandHasDefineElements" Name="CommandHasDefineElements" DisplayName="Command Has Define Elements" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="51c5d2a4-a4a8-4835-b264-838bbbc30177" Description="Description for DSLFactory.VSCTDesigner.CommandHasDefineElements.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="DefineElements" PropertyDisplayName="Define Elements">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="79165360-db03-4d81-b9f7-a0fb34fbca1d" Description="Description for DSLFactory.VSCTDesigner.CommandHasDefineElements.DefineElement" Name="DefineElement" DisplayName="Define Element" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="DefineElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="51bfb9ac-f12e-4ec1-9a73-bb2f6acfe5e8" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasUsedCommands" Name="CommandTableHasUsedCommands" DisplayName="Command Table Has Used Commands" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="148aa0b2-2530-4bdc-a58e-e922373f9328" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasUsedCommands.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="UsedCommands" PropertyDisplayName="Used Commands">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="91895bc8-1a55-41a5-96b4-081700cbb1ea" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasUsedCommands.UsedCommandElement" Name="UsedCommandElement" DisplayName="Used Command Element" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="UsedCommandElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="82267926-5367-4554-8d17-e4f74d1008c7" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasSymbols" Name="CommandTableHasSymbols" DisplayName="Command Table Has Symbols" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="9d9d4232-1bd5-4c05-9c21-fba0c30882bd" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasSymbols.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="Symbols" PropertyDisplayName="Symbols">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="45772a31-3a62-45c7-b114-8ce806c0a768" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasSymbols.GuidSymbol" Name="GuidSymbol" DisplayName="Guid Symbol" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" IsPropertyGenerator="false" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="GuidSymbol" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="8d431cc4-8185-4ddf-a813-30882e64f698" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasBitmaps" Name="CommandTableHasBitmaps" DisplayName="Command Table Has Bitmaps" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="2e88ebff-3aca-4f3f-a00f-575853aac754" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasBitmaps.CommandTable" Name="CommandTable" DisplayName="Command Table" PropertyName="Bitmaps" Multiplicity="ZeroOne" PropertyDisplayName="Bitmaps">
          <RolePlayer>
            <DomainClassMoniker Name="CommandTable" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="4f07ce71-da1f-451d-bf69-7ff4aec46559" Description="Description for DSLFactory.VSCTDesigner.CommandTableHasBitmaps.Bitmaps" Name="Bitmaps" DisplayName="Bitmaps" PropertyName="CommandTable" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Command Table">
          <RolePlayer>
            <DomainClassMoniker Name="Bitmaps" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="8fc6278e-026d-4b2b-bcbd-3376e9576ee9" Description="Description for DSLFactory.VSCTDesigner.CommandsHasCombos" Name="CommandsHasCombos" DisplayName="Commands Has Combos" Namespace="DSLFactory.VSCTDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="90b468c9-e591-4adc-8e79-d7cbcd8bb9d8" Description="Description for DSLFactory.VSCTDesigner.CommandsHasCombos.Commands" Name="Commands" DisplayName="Commands" PropertyName="Combos" PropertyDisplayName="Combos">
          <RolePlayer>
            <DomainClassMoniker Name="Commands" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6145adff-a176-4400-9f4b-49d16e56b774" Description="Description for DSLFactory.VSCTDesigner.CommandsHasCombos.Combo" Name="Combo" DisplayName="Combo" PropertyName="Commands" Multiplicity="ZeroOne" PropagatesDelete="true" IsPropertyGenerator="false" PropagatesCopy="true" PropertyDisplayName="Commands">
          <RolePlayer>
            <DomainClassMoniker Name="Combo" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <DomainEnumeration Name="MenuType" Namespace="DSLFactory.VSCTDesigner" Description="Description for DSLFactory.VSCTDesigner.MenuType">
      <Literals>
        <EnumerationLiteral Description="Provides a typical drop-down menu list. " Name="Menu" Value="" />
        <EnumerationLiteral Description="Provides a menu that can be shown when a user right-clicks a window. " Name="Context" Value="" />
        <EnumerationLiteral Description="Provides a split-button drop-down menu, which is typically used in toolbars. " Name="MenuController" Value="" />
        <EnumerationLiteral Description="Provides a toolbar that is attached to a specific tool window, just as a Toolbar menu is attached to the IDE. " Name="ToolWindowToolbar" Value="" />
        <EnumerationLiteral Description="Provides a standard toolbar that is attached to the IDE. " Name="ToolBar" Value="" />
        <EnumerationLiteral Description="Provides a split-button drop-down menu for which a command can be specified as the default selection by marking the command as latched. A latched command is a command that is marked in the menu as selected, typically by displaying a check mark. A command can be marked as latched if it has the OLECMDF_LATCHED flag set on it in an implementation of the QueryStatus method of the IOleCommandTarget interface. " Name="MenuControllerLatched" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="MenuCommandFlag" Namespace="DSLFactory.VSCTDesigner" IsFlags="true" Description="Description for DSLFactory.VSCTDesigner.MenuCommandFlag">
      <Literals>
        <EnumerationLiteral Description="Menu is created even if it has no groups or buttons. " Name="AlwaysCreate" Value="1" />
        <EnumerationLiteral Description="By default, docked to the integrated development environment (IDE). This is valid only for Toolbar menu types. " Name="DefaultDocked" Value="2" />
        <EnumerationLiteral Description="By default, the command is invisible if the VSPackage that implements the command is not loaded or the QueryStatus method has not been called. " Name="DefaultInvisible" Value="4" />
        <EnumerationLiteral Description="The IDE does not cache the QueryStatus method results for this command. For a menu, this tells a menu controller not to cache the text of its menu items. Use this flag when the menu contains dynamic items or items with dynamic text. " Name="DontCache" Value="8" />
        <EnumerationLiteral Description="The visibility of the command can be changed through the QueryStatus method or through a context GUID that is included in the VisibilityConstraints section. This applies to commands that appear on menus, not on toolbars. Top-level toolbar items can be disabled but not hidden, when the OLECMDF_INVISIBLE flag is returned from the QueryStatus method.On a menu, this flag also indicates that it should be automatically hidden when all its members are hidden. This flag is typically assigned to submenus because top-level menus already have this behavior. This flag should be combined with the DefaultInvisible flag. " Name="DynamicVisibility" Value="16" />
        <EnumerationLiteral Description="Show an icon and text on menu and toolbar. " Name="IconAndText" Value="32" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.MenuCommandFlag.NoCustomize" Name="NoCustomize" Value="64" />
        <EnumerationLiteral Description="Does not appear in the list of available toolbars. This is valid only for Toolbar menu types. " Name="NotInTBList" Value="128" />
        <EnumerationLiteral Description="User cannot close the toolbar. This is valid only for Toolbar menu types. " Name="NoToolbarClose" Value="256" />
        <EnumerationLiteral Description="The command or menu text can be changed at run time, typically through the QueryStatus method. " Name="TextChanges" Value="512" />
        <EnumerationLiteral Description="For a menu controller, the text of the menu is taken from the default (anchor) command. An anchor command is the last command selected or latched. If this flag is not set, the menu controller uses its own MenuText field. However, clicking the menu controller still enables the last selected command from that controller. This flag should be combined with the TextChanges flag. This flag applies only to menus of type MenuController or MenuControllerLatched. " Name="TextIsAnchorCommand" Value="1024" />
      </Literals>
    </DomainEnumeration>
    <ExternalType Name="IDNameProvider" Namespace="DSLFactory.VSCTDesigner" />
    <DomainEnumeration Name="KeyModifier" Namespace="DSLFactory.VSCTDesigner" Description="Description for DSLFactory.VSCTDesigner.KeyModifier">
      <Literals>
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.KeyModifier.CTRL" Name="CTRL" Value="" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.KeyModifier.ALT" Name="ALT" Value="" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.KeyModifier.SHIFT" Name="SHIFT" Value="" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.KeyModifier.None" Name="None" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="ButtonType" Namespace="DSLFactory.VSCTDesigner" Description="An enumerated value that specifies the kind of button">
      <Literals>
        <EnumerationLiteral Description="A standard command that appears on toolbars (typically as an iconic button), menus, and context menus. " Name="Button" Value="" />
        <EnumerationLiteral Description="A menu item that does not execute a command, but produces another menu." Name="MenuButton" Value="" />
        <EnumerationLiteral Description="Controls, such as the Undo and Redo buttons on the standard toolbar in Microsoft Word. " Name="SplitDropDown" Value="" />
        <EnumerationLiteral Description="Controls that display color choices, such as those in a font color dialog box. Requires the implementation of some underlying interfaces. " Name="Swatch" Value="" />
        <EnumerationLiteral Description="" Name="AppID" Value="" />
        <EnumerationLiteral Description="" Name="Shared" Value="" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="ButtonCommandFlag" Namespace="DSLFactory.VSCTDesigner" IsFlags="true" Description="Description for DSLFactory.VSCTDesigner.ButtonCommandFlag">
      <Literals>
        <EnumerationLiteral Description="Indicates that users can enter command parameters in the Command window when they type the canonical name of the command. " Name="AllowParams" Value="1" />
        <EnumerationLiteral Description="Apply this flag if the command does not appear on the top-level menu and you want to make it available for additional shell customization, for example, binding it to a key. After the VSPackage is installed, you may customize these commands by opening the Options dialog box from the Tools menu and then editing the command placement under the Keyboard Environment category. This flag does not affect placement on shortcut menus, toolbars, menu controllers, or submenus. " Name="CommandWellOnly" Value="2" />
        <EnumerationLiteral Description="By default, the command is disabled if the VSPackage that implements the command is not loaded or the QueryStatus method has not been called. " Name="DefaultDisabled" Value="4" />
        <EnumerationLiteral Description="By default, the command is invisible if the VSPackage that implements the command is not loaded or the QueryStatus method has not been called. " Name="DefaultInvisible" Value="8" />
        <EnumerationLiteral Description="The IDE does not cache the QueryStatus method results for this command. " Name="DontCache" Value="16" />
        <EnumerationLiteral Description="Indicates the beginning of a dynamic list. This enables the environment to build a list by successively calling the QueryStatus method on list items until the OLECMDERR_E_UNSUPPORTED flag is returned. This works well for items such as most recently used (MRU) lists and window lists. " Name="DynamicItemStart" Value="32" />
        <EnumerationLiteral Description="The visibility of the command can be changed through the QueryStatus method or through a context GUID that is included in the VisibilityConstraints section. This applies to commands that appear on menus, not on toolbars. Top-level toolbar items can be disabled but not hidden, when the OLECMDF_INVISIBLE flag is returned from the QueryStatus method.On a menu, this flag also indicates that it should be automatically hidden when all its members are hidden. This flag is typically assigned to submenus because top-level menus already have this behavior. This flag should be combined with the DefaultInvisible flag. " Name="DynamicVisibility" Value="64" />
        <EnumerationLiteral Description="If this command is positioned on a menu controller, the command is always the default, that is, the command is selected whenever the menu controller button itself is selected. If the menu controller has the TextIsAnchorCommand flag set, then the menu controller also takes its text from the command that has the FixMenuController flag. There should be only one command on a menu controller that is marked with the FixMenuController flag. If there is more than one command so marked, the last command in the menu becomes the default command. " Name="FixMenuController" Value="128" />
        <EnumerationLiteral Description="Show an icon and text on menu and toolbar. " Name="IconAndText" Value="256" />
        <EnumerationLiteral Description="Description for Do not let the user customize this button. " Name="NoButtonCustomize" Value="512" />
        <EnumerationLiteral Description="" Name="NoCustomize" Value="1024" />
        <EnumerationLiteral Description="Do not enable keyboard customization. " Name="NoKeyCustomize" Value="2048" />
        <EnumerationLiteral Description="If this command is positioned on a menu controller, the command does not appear in the drop-down list. " Name="NoShowOnMenuController" Value="4096" />
        <EnumerationLiteral Description="Show only an icon on a toolbar, but only text on a menu. If no icon is specified, shows a selectable blank space on a toolbar. " Name="Pict" Value="8192" />
        <EnumerationLiteral Description="Makes the command non-blocking. The IDE defers execution until all pre-processing queries are completed. " Name="PostExec" Value="12288" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.ButtonCommandFlag.ProfferedCmd" Name="ProfferedCmd" Value="16384" />
        <EnumerationLiteral Description="The command is routed to the active document. " Name="RouteToDocs" Value="32768" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.ButtonCommandFlag.TextCascadeUseBtn" Name="TextCascadeUseBtn" Value="65536" />
        <EnumerationLiteral Description="The command or menu text can be changed at run time, typically through the QueryStatus method. " Name="TextChanges" Value="131072" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.ButtonCommandFlag.TextChangesButton" Name="TextChangesButton" Value="262144" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.ButtonCommandFlag.TextContextUseButton" Name="TextContextUseButton" Value="524288" />
        <EnumerationLiteral Description="Use the MenuText field on menu controllers. The default is the ButtonText field." Name="TextMenuCtrlUseMenu" Value="1048576" />
        <EnumerationLiteral Description="Use the ButtonText field for menus. The default is the MenuText field if it is specified. " Name="TextMenuUseButton" Value="2097152" />
        <EnumerationLiteral Description="Show only text on a toolbar or a menu but no icon even if the icon is specified. " Name="TextOnly" Value="4194304" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="ComboCommandFlag" Namespace="DSLFactory.VSCTDesigner" Description="">
      <Literals>
        <EnumerationLiteral Description="User entries are case-sensitive. " Name="CaseSensitive" Value="1" />
        <EnumerationLiteral Description="Apply this flag if the command does not appear on the top-level menu and you want to make it available for additional shell customization, for example, binding it to a key. After the VSPackage is installed, you may customize these commands by opening the Options dialog box from the Tools menu and then editing the command placement under the Keyboard Environment category. This flag does not affect placement on shortcut menus, toolbars, menu controllers, or submenus. " Name="CommandWellOnly" Value="2" />
        <EnumerationLiteral Description="By default, the command is disabled if the VSPackage that implements the command is not loaded or the QueryStatus method has not been called. " Name="DefaultDisabled" Value="4" />
        <EnumerationLiteral Description="By default, the command is invisible if the VSPackage that implements the command is not loaded or the QueryStatus method has not been called. " Name="DefaultInvisible" Value="8" />
        <EnumerationLiteral Description="The visibility of the command can be changed through the QueryStatus method or through a context GUID that is included in the VisibilityConstraints section. This applies to commands that appear on menus, not on toolbars. Top-level toolbar items can be disabled but not hidden, when the OLECMDF_INVISIBLE flag is returned from the QueryStatus method.On a menu, this flag also indicates that it should be automatically hidden when all its members are hidden. This flag is typically assigned to submenus because top-level menus already have this behavior. This flag should be combined with the DefaultInvisible flag. " Name="DynamicVisibility" Value="16" />
        <EnumerationLiteral Description="See the Filtering Keys topic under Combo Element. " Name="FilterKeys" Value="32" />
        <EnumerationLiteral Description="Show an icon and text on menu and toolbar. " Name="IconAndText" Value="64" />
        <EnumerationLiteral Description="Auto-complete feature is disabled. " Name="NoAutoComplete" Value="128" />
        <EnumerationLiteral Description="Do not let the user customize this button. " Name="NoButtonCustomize" Value="256" />
        <EnumerationLiteral Description="Description for DSLFactory.VSCTDesigner.ComboCommandFlag.NoCustomize" Name="NoCustomize" Value="512" />
        <EnumerationLiteral Description="Do not enable keyboard customization. " Name="NoKeyCustomize" Value="1024" />
        <EnumerationLiteral Description="When this flag is set, the width becomes the minimum width for the combo box, and if there is room on the toolbar, the combo box stretches to fill available space. This occurs only if the toolbar is horizontally docked, and only one combo box on the toolbar can use the flag (the flag is ignored on all except the last combo box). " Name="StretchHorizontally" Value="2048" />
      </Literals>
    </DomainEnumeration>
    <DomainEnumeration Name="ComboType" Namespace="DSLFactory.VSCTDesigner" Description="Description for DSLFactory.VSCTDesigner.ComboType">
      <Literals>
        <EnumerationLiteral Description="The VSPackage is responsible for filling in the contents for this combo box. The user cannot type anything in the text box of this drop-down." Name="DropDownCombo" Value="" />
        <EnumerationLiteral Description="The VSPackage is responsible for filling in the contents of this combo box. The user can edit this combo and also select items in it. " Name="DynamicCombo" Value="" />
        <EnumerationLiteral Description="The same as DynamicCombo except that it raises the index of the item rather than its text. " Name="IndexCombo" Value="" />
        <EnumerationLiteral Description="Filled by the integrated development environment (IDE) on behalf of the VSPackage. The user can edit in this combo box. The IDE remembers up to the last 16 entries per combo box. When the user selects something in the combo box, or enters something new, the IDE notifies the appropriate VSPackage. " Name="MRUCombo" Value="" />
      </Literals>
    </DomainEnumeration>
  </Types>
  <Shapes>
    <CompartmentShape Id="d6153bc3-45bd-4498-909f-7e881a84080e" Description="Description for DSLFactory.VSCTDesigner.GroupShape" Name="GroupShape" DisplayName="Group Shape" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Group Shape" FillColor="PowderBlue" OutlineColor="SlateGray" InitialHeight="0.4" OutlineThickness="0.01" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Italic" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0.2">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="&lt;&lt;group&gt;&gt;" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="e012359c-aa9e-4a89-9179-8368155d859a" Description="Description for DSLFactory.VSCTDesigner.MenuShape" Name="MenuShape" DisplayName="Menu Shape" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Menu Shape" FillColor="PowderBlue" OutlineColor="CadetBlue" InitialHeight="0.25" OutlineThickness="0.01" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false" DefaultExpandCollapseState="Collapsed">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="CommandWithIconShape" />
      </BaseCompartmentShape>
      <Compartment Name="Strings" DefaultExpandCollapseState="Collapsed" Title="Strings" />
    </CompartmentShape>
    <CompartmentShape Id="185bbae7-78a3-4ed0-9eed-a517940c3973" Description="Description for DSLFactory.VSCTDesigner.CommandWithIconShape" Name="CommandWithIconShape" DisplayName="Command With Icon Shape" InheritanceModifier="Abstract" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true" FixedTooltipText="Command With Icon Shape" InitialWidth="1.2" InitialHeight="0.35" Geometry="Rectangle" DefaultExpandCollapseState="Collapsed">
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="-0.025">
        <IconDecorator Name="IconDecorator" DisplayName="Icon Decorator" DefaultIcon="Resources\ExampleConnectorToolBitmap.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <ImageShape Id="e313e5e7-ebea-40a3-8aef-eaa534a9252a" Description="Description for DSLFactory.VSCTDesigner.BitmapShape" Name="BitmapShape" DisplayName="Bitmap Shape" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true" FixedTooltipText="Bitmap Shape" InitialHeight="1" Image="Resources\ExampleShapeToolBitmap.bmp" />
    <CompartmentShape Id="6128c9fe-5a31-46b9-a134-cef1105e6aaa" Description="Description for DSLFactory.VSCTDesigner.ButtonShape" Name="ButtonShape" DisplayName="Button Shape" Namespace="DSLFactory.VSCTDesigner" TooltipType="Variable" FixedTooltipText="Button Shape" FillColor="WhiteSmoke" OutlineColor="DimGray" InitialWidth="1.2" InitialHeight="0.25" OutlineThickness="0.02" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false" DefaultExpandCollapseState="Collapsed">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="CommandWithIconShape" />
      </BaseCompartmentShape>
      <Compartment Name="Strings" DefaultExpandCollapseState="Collapsed" Title="Strings" />
    </CompartmentShape>
    <GeometryShape Id="85a8f9a2-c0ec-4523-b421-ea62e1168bef" Description="Description for DSLFactory.VSCTDesigner.ExternCommandShape" Name="ExternCommandShape" DisplayName="Extern Command Shape" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Extern Command Shape" InitialWidth="1.2" InitialHeight="0.25" OutlineThickness="0.02" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
    </GeometryShape>
    <SwimLane Id="633f7de8-d3e8-46a9-b1e1-184c04c7c36c" Description="Description for DSLFactory.VSCTDesigner.BitmapsSwimlane" Name="BitmapsSwimlane" DisplayName="Bitmaps Swimlane" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Bitmaps Swimlane" SeparatorLineStyle="Solid" InitialWidth="0" InitialHeight="0.7" Alignment="Horizontal" SeparatorThickness="0.01">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="TitleDecorator" DisplayName="Title Decorator" DefaultText="Bitmaps" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <SwimLane Id="4c5aea08-a935-4db5-98df-5bc2ef9adb11" Description="Description for DSLFactory.VSCTDesigner.CommandsSwimLane" Name="CommandsSwimLane" DisplayName="Commands Swim Lane" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Commands Swim Lane" InitialWidth="0" InitialHeight="5" Alignment="Horizontal" SeparatorThickness="0.02">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="TitleDecorator" DisplayName="Title Decorator" DefaultText="Commands" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <CompartmentShape Id="77f4ef02-00fd-43d0-8706-12190f3264ce" Description="Description for DSLFactory.VSCTDesigner.ComboShape" Name="ComboShape" DisplayName="Combo Shape" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Combo Shape" FillColor="Linen" OutlineColor="Silver" InitialHeight="0.25" OutlineThickness="0.01" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="CommandWithIconShape" />
      </BaseCompartmentShape>
      <Compartment Name="Strings" DefaultExpandCollapseState="Collapsed" Title="Strings" />
    </CompartmentShape>
  </Shapes>
  <Connectors>
    <Connector Id="779b1d3d-54cd-4b2e-ae67-1bc7a2bb07dc" Description="Description for DSLFactory.VSCTDesigner.ParentLink" Name="ParentLink" DisplayName="Parent Link" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Parent Link" Color="Gray" Thickness="0.015" />
    <Connector Id="47cdd12e-f9c8-48f7-846b-4674fa51a701" Description="Description for DSLFactory.VSCTDesigner.ButtonHasIconLink" Name="ButtonHasIconLink" DisplayName="Button Has Icon Link" Namespace="DSLFactory.VSCTDesigner" FixedTooltipText="Button Has Icon Link" Color="PowderBlue" DashStyle="Dash" Thickness="0.015" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="VSCTDesignerSerializationBehavior" Namespace="DSLFactory.VSCTDesigner">
    <ClassData>
      <XmlClassData TypeName="CommandTable" MonikerAttributeName="" SerializeId="true" MonikerElementName="commandTableMoniker" ElementName="CommandTable" MonikerTypeName="CommandTableMoniker">
        <DomainClassMoniker Name="CommandTable" />
        <ElementData>
          <XmlPropertyData XmlName="language">
            <DomainPropertyMoniker Name="CommandTable/Language" />
          </XmlPropertyData>
          <XmlRelationshipData OmitElement="true" RoleElementName="externElements">
            <DomainRelationshipMoniker Name="CommandTableHasExternElements" />
          </XmlRelationshipData>
          <XmlRelationshipData OmitElement="true" RoleElementName="includeElements">
            <DomainRelationshipMoniker Name="CommandTableHasIncludeElements" />
          </XmlRelationshipData>
          <XmlRelationshipData OmitElement="true" RoleElementName="defineElements">
            <DomainRelationshipMoniker Name="CommandHasDefineElements" />
          </XmlRelationshipData>
          <XmlRelationshipData OmitElement="true" RoleElementName="commands">
            <DomainRelationshipMoniker Name="CommandTableHasCommands" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="usedCommands">
            <DomainRelationshipMoniker Name="CommandTableHasUsedCommands" />
          </XmlRelationshipData>
          <XmlRelationshipData OmitElement="true" RoleElementName="Bitmaps">
            <DomainRelationshipMoniker Name="CommandTableHasBitmaps" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="Symbols">
            <DomainRelationshipMoniker Name="CommandTableHasSymbols" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="customToolGenerator">
            <DomainPropertyMoniker Name="CommandTable/CustomToolGenerator" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="VSCTDesignerDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="VSCTDesignerDiagramMoniker">
        <DiagramMoniker Name="VSCTDesignerDiagram" />
        <ElementData>
          <XmlPropertyData XmlName="triggerDiagramLayout">
            <DomainPropertyMoniker Name="VSCTDesignerDiagram/TriggerDiagramLayout" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="GroupShape" MonikerAttributeName="" MonikerElementName="groupShapeMoniker" ElementName="groupShape" MonikerTypeName="GroupShapeMoniker">
        <CompartmentShapeMoniker Name="GroupShape" />
      </XmlClassData>
      <XmlClassData TypeName="Commands" MonikerAttributeName="package" MonikerElementName="commandsMoniker" ElementName="Commands" MonikerTypeName="CommandsMoniker">
        <DomainClassMoniker Name="Commands" />
        <ElementData>
          <XmlPropertyData XmlName="package" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Commands/Package" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="Menus">
            <DomainRelationshipMoniker Name="CommandsHasMenus" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="Groups">
            <DomainRelationshipMoniker Name="CommandsHasGroups" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="Buttons">
            <DomainRelationshipMoniker Name="CommandsHasButtons" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="externCommandAliases">
            <DomainRelationshipMoniker Name="CommandsHasExternCommandAliases" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="Combos">
            <DomainRelationshipMoniker Name="CommandsHasCombos" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasCommands" MonikerAttributeName="" MonikerElementName="commandTableHasCommandsMoniker" ElementName="commandTableHasCommands" MonikerTypeName="CommandTableHasCommandsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasCommands" />
      </XmlClassData>
      <XmlClassData TypeName="Command" MonikerAttributeName="id" MonikerElementName="commandMoniker" ElementName="command" MonikerTypeName="CommandMoniker">
        <DomainClassMoniker Name="Command" />
        <ElementData>
          <XmlPropertyData XmlName="guid" IsMonikerQualifier="true">
            <DomainPropertyMoniker Name="Command/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="id" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Command/ID" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="priority">
            <DomainPropertyMoniker Name="Command/Priority" />
          </XmlPropertyData>
          <XmlRelationshipData OmitElement="true" RoleElementName="parents">
            <DomainRelationshipMoniker Name="CommandHasParent" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="deprecatedLowPriority">
            <DomainPropertyMoniker Name="Command/deprecatedLowPriority" />
          </XmlPropertyData>
          <XmlRelationshipData OmitElement="true" RoleElementName="KeyBinding">
            <DomainRelationshipMoniker Name="CommandHasKeyBinding" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Menu" MonikerAttributeName="" MonikerElementName="ParentMenu" ElementName="Menu" MonikerTypeName="MenuMoniker">
        <DomainClassMoniker Name="Menu" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Menu/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="VisibilityContext" Representation="Element">
            <DomainPropertyMoniker Name="Menu/VisibilityContext" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="CommandFlag" Representation="Element">
            <DomainPropertyMoniker Name="Menu/CommandFlag" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Group" MonikerAttributeName="" MonikerElementName="ParentGroup" ElementName="Group" MonikerTypeName="GroupMoniker">
        <DomainClassMoniker Name="Group" />
        <ElementData>
          <XmlPropertyData XmlName="GroupFlag" Representation="Element">
            <DomainPropertyMoniker Name="Group/Dynamic" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandsHasMenus" MonikerAttributeName="" MonikerElementName="commandsHasMenusMoniker" ElementName="Menus" MonikerTypeName="CommandsHasMenusMoniker">
        <DomainRelationshipMoniker Name="CommandsHasMenus" />
      </XmlClassData>
      <XmlClassData TypeName="CommandsHasGroups" MonikerAttributeName="" MonikerElementName="commandsHasGroupsMoniker" ElementName="Groups" MonikerTypeName="CommandsHasGroupsMoniker">
        <DomainRelationshipMoniker Name="CommandsHasGroups" />
      </XmlClassData>
      <XmlClassData TypeName="MenuShape" MonikerAttributeName="" MonikerElementName="menuShapeMoniker" ElementName="menuShape" MonikerTypeName="MenuShapeMoniker">
        <CompartmentShapeMoniker Name="MenuShape" />
      </XmlClassData>
      <XmlClassData TypeName="ParentLink" MonikerAttributeName="" MonikerElementName="parentLinkMoniker" ElementName="parentLink" MonikerTypeName="ParentLinkMoniker">
        <ConnectorMoniker Name="ParentLink" />
      </XmlClassData>
      <XmlClassData TypeName="CommandHasParent" MonikerAttributeName="" MonikerElementName="Parent" ElementName="CommandHasParent" MonikerTypeName="CommandHasParentMoniker">
        <DomainRelationshipMoniker Name="CommandHasParent" />
      </XmlClassData>
      <XmlClassData TypeName="StringDef" MonikerAttributeName="" MonikerElementName="stringDefMoniker" ElementName="Strings" MonikerTypeName="StringDefMoniker">
        <DomainClassMoniker Name="StringDef" />
        <ElementData>
          <XmlPropertyData XmlName="CommandName" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/CommandName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="ButtonText" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/ButtonText" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="CanonicalName" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/CanonicalName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="LocCanonicalName" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/LocCanonicalName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="MenuText" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/MenuText" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="ToolTipText" Representation="Element">
            <DomainPropertyMoniker Name="StringDef/ToolTipText" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="language">
            <DomainPropertyMoniker Name="StringDef/Language" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Button" MonikerAttributeName="" MonikerElementName="buttonMoniker" ElementName="Button" MonikerTypeName="ButtonMoniker">
        <DomainClassMoniker Name="Button" />
        <ElementData>
          <XmlPropertyData XmlName="VisibilityContext" Representation="Element">
            <DomainPropertyMoniker Name="Button/VisibilityContext" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Button/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="CommandFlag" Representation="Element">
            <DomainPropertyMoniker Name="Button/CommandFlag" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandWithIconShape" MonikerAttributeName="" MonikerElementName="commandWithIconShapeMoniker" ElementName="commandWithIconShape" MonikerTypeName="CommandWithIconShapeMoniker">
        <CompartmentShapeMoniker Name="CommandWithIconShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommandsHasButtons" MonikerAttributeName="" MonikerElementName="commandsHasButtonsMoniker" ElementName="Buttons" MonikerTypeName="CommandsHasButtonsMoniker">
        <DomainRelationshipMoniker Name="CommandsHasButtons" />
      </XmlClassData>
      <XmlClassData TypeName="GuidSymbol" MonikerAttributeName="name" MonikerElementName="guidSymbolMoniker" ElementName="GuidSymbol" MonikerTypeName="GuidSymbolMoniker">
        <DomainClassMoniker Name="GuidSymbol" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true" IsMonikerQualifier="true">
            <DomainPropertyMoniker Name="GuidSymbol/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="value">
            <DomainPropertyMoniker Name="GuidSymbol/Value" />
          </XmlPropertyData>
          <XmlRelationshipData OmitElement="true" RoleElementName="iDSymbols">
            <DomainRelationshipMoniker Name="GuidSymbolHasIDSymbols" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="IDSymbol" MonikerAttributeName="name" MonikerElementName="iDSymbolMoniker" ElementName="IDSymbol" MonikerTypeName="IDSymbolMoniker">
        <DomainClassMoniker Name="IDSymbol" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="IDSymbol/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="value">
            <DomainPropertyMoniker Name="IDSymbol/Value" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="GuidSymbolHasIDSymbols" MonikerAttributeName="" MonikerElementName="guidSymbolHasIDSymbolsMoniker" ElementName="guidSymbolHasIDSymbols" MonikerTypeName="GuidSymbolHasIDSymbolsMoniker">
        <DomainRelationshipMoniker Name="GuidSymbolHasIDSymbols" />
      </XmlClassData>
      <XmlClassData TypeName="Bitmaps" MonikerAttributeName="" SerializeId="true" MonikerElementName="bitmapsMoniker" ElementName="Bitmaps" MonikerTypeName="BitmapsMoniker">
        <DomainClassMoniker Name="Bitmaps" />
        <ElementData>
          <XmlRelationshipData OmitElement="true" RoleElementName="bitmap">
            <DomainRelationshipMoniker Name="BitmapsHasBitmap" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Bitmap" MonikerAttributeName="guid" MonikerElementName="bitmapMoniker" ElementName="Bitmap" MonikerTypeName="BitmapMoniker">
        <DomainClassMoniker Name="Bitmap" />
        <ElementData>
          <XmlPropertyData XmlName="guid" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Bitmap/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="resId">
            <DomainPropertyMoniker Name="Bitmap/resId" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="href">
            <DomainPropertyMoniker Name="Bitmap/hRef" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="usedList">
            <DomainPropertyMoniker Name="Bitmap/usedList" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="displayName" Representation="Ignore">
            <DomainPropertyMoniker Name="Bitmap/DisplayName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="BitmapsHasBitmap" MonikerAttributeName="" MonikerElementName="bitmapsHasBitmapMoniker" ElementName="bitmapsHasBitmap" MonikerTypeName="BitmapsHasBitmapMoniker">
        <DomainRelationshipMoniker Name="BitmapsHasBitmap" />
      </XmlClassData>
      <XmlClassData TypeName="ButtonHasIconLink" MonikerAttributeName="" MonikerElementName="buttonHasIconLinkMoniker" ElementName="buttonHasIconLink" MonikerTypeName="ButtonHasIconLinkMoniker">
        <ConnectorMoniker Name="ButtonHasIconLink" />
      </XmlClassData>
      <XmlClassData TypeName="BitmapShape" MonikerAttributeName="" MonikerElementName="bitmapShapeMoniker" ElementName="bitmapShape" MonikerTypeName="BitmapShapeMoniker">
        <ImageShapeMoniker Name="BitmapShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommandWithIcon" MonikerAttributeName="" MonikerElementName="commandWithIconMoniker" ElementName="commandWithIcon" MonikerTypeName="CommandWithIconMoniker">
        <DomainClassMoniker Name="CommandWithIcon" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="Icon">
            <DomainRelationshipMoniker Name="CommandHasIcon" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="displayName" Representation="Ignore">
            <DomainPropertyMoniker Name="CommandWithIcon/DisplayName" />
          </XmlPropertyData>
          <XmlRelationshipData OmitElement="true" RoleElementName="strings">
            <DomainRelationshipMoniker Name="CommandWithIconHasStrings" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandHasIcon" MonikerAttributeName="" MonikerElementName="commandHasIconMoniker" ElementName="commandHasIcon" MonikerTypeName="CommandHasIconMoniker">
        <DomainRelationshipMoniker Name="CommandHasIcon" />
        <ElementData>
          <XmlPropertyData XmlName="iconId">
            <DomainPropertyMoniker Name="CommandHasIcon/IconId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ButtonShape" MonikerAttributeName="" MonikerElementName="buttonShapeMoniker" ElementName="buttonShape" MonikerTypeName="ButtonShapeMoniker">
        <CompartmentShapeMoniker Name="ButtonShape" />
      </XmlClassData>
      <XmlClassData TypeName="ConditionalElement" MonikerAttributeName="" MonikerElementName="conditionalElementMoniker" ElementName="conditionalElement" MonikerTypeName="ConditionalElementMoniker">
        <DomainClassMoniker Name="ConditionalElement" />
        <ElementData>
          <XmlPropertyData XmlName="Condition">
            <DomainPropertyMoniker Name="ConditionalElement/Condition" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ExternElement" MonikerAttributeName="" MonikerElementName="externElementMoniker" ElementName="Extern" MonikerTypeName="ExternElementMoniker">
        <DomainClassMoniker Name="ExternElement" />
        <ElementData>
          <XmlPropertyData XmlName="href">
            <DomainPropertyMoniker Name="ExternElement/hRef" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="language">
            <DomainPropertyMoniker Name="ExternElement/Language" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="IncludeElement" MonikerAttributeName="" MonikerElementName="includeElementMoniker" ElementName="Include" MonikerTypeName="IncludeElementMoniker">
        <DomainClassMoniker Name="IncludeElement" />
        <ElementData>
          <XmlPropertyData XmlName="href">
            <DomainPropertyMoniker Name="IncludeElement/hRef" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasExternElements" MonikerAttributeName="" MonikerElementName="commandTableHasExternElementsMoniker" ElementName="commandTableHasExternElements" MonikerTypeName="CommandTableHasExternElementsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasExternElements" />
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasIncludeElements" MonikerAttributeName="" MonikerElementName="commandTableHasIncludeElementsMoniker" ElementName="commandTableHasIncludeElements" MonikerTypeName="CommandTableHasIncludeElementsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasIncludeElements" />
      </XmlClassData>
      <XmlClassData TypeName="CommandWithIconHasStrings" MonikerAttributeName="" MonikerElementName="commandWithIconHasStringsMoniker" ElementName="commandWithIconHasStrings" MonikerTypeName="CommandWithIconHasStringsMoniker">
        <DomainRelationshipMoniker Name="CommandWithIconHasStrings" />
      </XmlClassData>
      <XmlClassData TypeName="ExternCommand" MonikerAttributeName="" MonikerElementName="ParentExtern" ElementName="externCommand" MonikerTypeName="ExternCommandMoniker">
        <DomainClassMoniker Name="ExternCommand" />
      </XmlClassData>
      <XmlClassData TypeName="ExternCommandShape" MonikerAttributeName="" MonikerElementName="externCommandShapeMoniker" ElementName="externCommandShape" MonikerTypeName="ExternCommandShapeMoniker">
        <GeometryShapeMoniker Name="ExternCommandShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommandsHasExternCommandAliases" MonikerAttributeName="" MonikerElementName="commandsHasExternCommandAliasesMoniker" ElementName="commandsHasExternCommandAliases" MonikerTypeName="CommandsHasExternCommandAliasesMoniker">
        <DomainRelationshipMoniker Name="CommandsHasExternCommandAliases" />
      </XmlClassData>
      <XmlClassData TypeName="DefineElement" MonikerAttributeName="" MonikerElementName="defineElementMoniker" ElementName="Define" MonikerTypeName="DefineElementMoniker">
        <DomainClassMoniker Name="DefineElement" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DefineElement/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="value">
            <DomainPropertyMoniker Name="DefineElement/Value" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="KeyBindingElement" MonikerAttributeName="" MonikerElementName="keyBindingElementMoniker" ElementName="KeyBinding" MonikerTypeName="KeyBindingElementMoniker">
        <DomainClassMoniker Name="KeyBindingElement" />
        <ElementData>
          <XmlPropertyData XmlName="editor">
            <DomainPropertyMoniker Name="KeyBindingElement/Editor" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="key1">
            <DomainPropertyMoniker Name="KeyBindingElement/Key1" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="mod1">
            <DomainPropertyMoniker Name="KeyBindingElement/Mod1" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="key2">
            <DomainPropertyMoniker Name="KeyBindingElement/Key2" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="mod2">
            <DomainPropertyMoniker Name="KeyBindingElement/Mod2" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="emulator">
            <DomainPropertyMoniker Name="KeyBindingElement/Emulator" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandHasKeyBinding" MonikerAttributeName="" MonikerElementName="commandHasKeyBindingMoniker" ElementName="commandHasKeyBinding" MonikerTypeName="CommandHasKeyBindingMoniker">
        <DomainRelationshipMoniker Name="CommandHasKeyBinding" />
      </XmlClassData>
      <XmlClassData TypeName="CommandHasDefineElements" MonikerAttributeName="" MonikerElementName="commandHasDefineElementsMoniker" ElementName="commandHasDefineElements" MonikerTypeName="CommandHasDefineElementsMoniker">
        <DomainRelationshipMoniker Name="CommandHasDefineElements" />
      </XmlClassData>
      <XmlClassData TypeName="BitmapsSwimlane" MonikerAttributeName="" MonikerElementName="bitmapsSwimlaneMoniker" ElementName="bitmapsSwimlane" MonikerTypeName="BitmapsSwimlaneMoniker">
        <SwimLaneMoniker Name="BitmapsSwimlane" />
      </XmlClassData>
      <XmlClassData TypeName="CommandsSwimLane" MonikerAttributeName="" MonikerElementName="commandsSwimLaneMoniker" ElementName="commandsSwimLane" MonikerTypeName="CommandsSwimLaneMoniker">
        <SwimLaneMoniker Name="CommandsSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="UsedCommandElement" MonikerAttributeName="" MonikerElementName="usedCommandElementMoniker" ElementName="usedCommand" MonikerTypeName="UsedCommandElementMoniker">
        <DomainClassMoniker Name="UsedCommandElement" />
        <ElementData>
          <XmlPropertyData XmlName="guid">
            <DomainPropertyMoniker Name="UsedCommandElement/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="id">
            <DomainPropertyMoniker Name="UsedCommandElement/ID" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasUsedCommands" MonikerAttributeName="" MonikerElementName="commandTableHasUsedCommandsMoniker" ElementName="commandTableHasUsedCommands" MonikerTypeName="CommandTableHasUsedCommandsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasUsedCommands" />
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasSymbols" MonikerAttributeName="" MonikerElementName="commandTableHasSymbolsMoniker" ElementName="commandTableHasSymbols" MonikerTypeName="CommandTableHasSymbolsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasSymbols" />
      </XmlClassData>
      <XmlClassData TypeName="CommandTableHasBitmaps" MonikerAttributeName="" MonikerElementName="commandTableHasBitmapsMoniker" ElementName="commandTableHasBitmaps" MonikerTypeName="CommandTableHasBitmapsMoniker">
        <DomainRelationshipMoniker Name="CommandTableHasBitmaps" />
      </XmlClassData>
      <XmlClassData TypeName="Combo" MonikerAttributeName="" MonikerElementName="comboMoniker" ElementName="Combo" MonikerTypeName="ComboMoniker">
        <DomainClassMoniker Name="Combo" />
        <ElementData>
          <XmlPropertyData XmlName="defaultWidth">
            <DomainPropertyMoniker Name="Combo/DefaultWidth" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="idCommandList">
            <DomainPropertyMoniker Name="Combo/IdCommandList" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Combo/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="CommandFlag" Representation="Element">
            <DomainPropertyMoniker Name="Combo/CommandFlag" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommandsHasCombos" MonikerAttributeName="" MonikerElementName="commandsHasCombosMoniker" ElementName="commandsHasCombos" MonikerTypeName="CommandsHasCombosMoniker">
        <DomainRelationshipMoniker Name="CommandsHasCombos" />
      </XmlClassData>
      <XmlClassData TypeName="ComboShape" MonikerAttributeName="" MonikerElementName="comboShapeMoniker" ElementName="comboShape" MonikerTypeName="ComboShapeMoniker">
        <CompartmentShapeMoniker Name="ComboShape" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="VSCTDesignerExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="CommandHasParentBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommandHasParent" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Command" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective UsesRoleSpecificCustomAccept="true">
            <AcceptingClass>
              <DomainClassMoniker Name="Command" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="CommandHasIconBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommandHasIcon" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="CommandWithIcon" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Bitmap" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="da66e2aa-da29-4b91-9e8f-5236a9d99569" Description="Description for DSLFactory.VSCTDesigner.VSCTDesignerDiagram" Name="VSCTDesignerDiagram" DisplayName="Visual Studio Command Table designer" Namespace="DSLFactory.VSCTDesigner" GeneratesDoubleDerived="true">
    <Properties>
      <DomainProperty Id="479e7381-5207-49ed-9873-82e03732429d" Description="Description for DSLFactory.VSCTDesigner.VSCTDesignerDiagram.Trigger Diagram Layout" Name="TriggerDiagramLayout" DisplayName="Trigger Diagram Layout" DefaultValue="false" IsBrowsable="false">
        <Type>
          <ExternalTypeMoniker Name="/System/Boolean" />
        </Type>
      </DomainProperty>
    </Properties>
    <Class>
      <DomainClassMoniker Name="CommandTable" />
    </Class>
    <ShapeMaps>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Group" />
        <ParentElementPath>
          <DomainPath>CommandsHasGroups.Parent/!Command</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="GroupShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Command/ID" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="GroupShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Menu" />
        <ParentElementPath>
          <DomainPath>CommandsHasMenus.Parent/!Commands</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="MenuShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="MenuShape/Strings" />
          <ElementsDisplayed>
            <DomainPath>CommandWithIconHasStrings.Strings/!StringDef</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="StringDef/ButtonText" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Bitmap" />
        <ParentElementPath>
          <DomainPath>BitmapsHasBitmap.Bitmaps/!Bitmaps</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="BitmapShape" />
      </ShapeMap>
      <CompartmentShapeMap HasCustomParentElement="true">
        <DomainClassMoniker Name="CommandWithIcon" />
        <ParentElementPath>
          <DomainPath />
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommandWithIconShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="CommandWithIcon/DisplayName" />
              <DomainPath />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="CommandWithIconShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Button" />
        <ParentElementPath>
          <DomainPath>CommandsHasButtons.Parent/!Commands</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="ButtonShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="ButtonShape/Strings" />
          <ElementsDisplayed>
            <DomainPath>CommandWithIconHasStrings.Strings/!StringDef</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="StringDef/ButtonText" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="ExternCommand" />
        <ParentElementPath>
          <DomainPath>CommandsHasExternCommandAliases.Commands/!Commands</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ExternCommandShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Command/ID" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="ExternCommandShape" />
      </ShapeMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="Bitmaps" />
        <ParentElementPath>
          <DomainPath>CommandTableHasBitmaps.CommandTable/!CommandTable</DomainPath>
        </ParentElementPath>
        <SwimLane>
          <SwimLaneMoniker Name="BitmapsSwimlane" />
        </SwimLane>
      </SwimLaneMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="Commands" />
        <ParentElementPath>
          <DomainPath>CommandTableHasCommands.CommandTable/!CommandTable</DomainPath>
        </ParentElementPath>
        <SwimLane>
          <SwimLaneMoniker Name="CommandsSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Combo" />
        <ParentElementPath>
          <DomainPath>CommandsHasCombos.Commands/!Commands</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="ComboShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="ComboShape/Strings" />
          <ElementsDisplayed>
            <DomainPath>CommandWithIconHasStrings.Strings/!StringDef</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="StringDef/ButtonText" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="ParentLink" />
        <DomainRelationshipMoniker Name="CommandHasParent" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="ButtonHasIconLink" />
        <DomainRelationshipMoniker Name="CommandHasIcon" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="vsct" EditorGuid="03e46f9a-6bf4-425f-9f00-aa2fa4aa2cdb">
    <RootClass>
      <DomainClassMoniker Name="CommandTable" />
    </RootClass>
    <XmlSerializationDefinition RootNamespace="http://schemas.microsoft.com/VisualStudio/2005-10-18/CommandTable" WriteOptionalPropertiesWithDefaultValue="true" CustomPostLoad="true">
      <XmlSerializationBehaviorMoniker Name="VSCTDesignerSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="VSCTDesigner">
      <ElementTool Name="Group" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Group" Tooltip="Group" HelpKeyword="GroupF1Keyword">
        <DomainClassMoniker Name="Group" />
      </ElementTool>
      <ElementTool Name="Menu" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Menu" Tooltip="Menu" HelpKeyword="Menu">
        <DomainClassMoniker Name="Menu" />
      </ElementTool>
      <ElementTool Name="Button" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Button" Tooltip="Button" HelpKeyword="Button">
        <DomainClassMoniker Name="Button" />
      </ElementTool>
      <ElementTool Name="Bitmap" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Bitmap" Tooltip="Bitmap" HelpKeyword="Bitmap">
        <DomainClassMoniker Name="Bitmap" />
      </ElementTool>
      <ElementTool Name="Combo" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Combo" Tooltip="Combo" HelpKeyword="Combo">
        <DomainClassMoniker Name="Combo" />
      </ElementTool>
      <ConnectionTool Name="ButtonHasIconConnector" ToolboxIcon="Resources\ExampleConnectorToolBitmap.bmp" Caption="Associate bitmap" Tooltip="Button Has Icon Connector" HelpKeyword="ButtonHasIconConnector">
        <ConnectionBuilderMoniker Name="VSCTDesigner/CommandHasIconBuilder" />
      </ConnectionTool>
      <ConnectionTool Name="Parent" ToolboxIcon="Resources\ExampleConnectorToolBitmap.bmp" Caption="Has Parent" Tooltip="Parent" HelpKeyword="Parent">
        <ConnectionBuilderMoniker Name="VSCTDesigner/CommandHasParentBuilder" />
      </ConnectionTool>
      <ElementTool Name="ExternReference" ToolboxIcon="Resources\ExampleShapeToolBitmap.bmp" Caption="Extern container " Tooltip="Extern Reference" HelpKeyword="ExternReference">
        <DomainClassMoniker Name="ExternCommand" />
      </ElementTool>
    </ToolboxTab>
    <Validation UsesMenu="false" UsesOpen="false" UsesSave="true" UsesLoad="false" />
    <DiagramMoniker Name="VSCTDesignerDiagram" />
  </Designer>
  <Explorer ExplorerGuid="2ce15992-5134-46f1-97b4-631dfeb09569" Title="VSCTDesigner Explorer">
    <ExplorerBehaviorMoniker Name="VSCTDesigner/VSCTDesignerExplorer" />
  </Explorer>
</Dsl>